summaryrefslogtreecommitdiffstats
path: root/source/l/judy
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/judy')
-rwxr-xr-xsource/l/judy/judy.SlackBuild28
-rw-r--r--source/l/judy/slack-desc6
2 files changed, 23 insertions, 11 deletions
diff --git a/source/l/judy/judy.SlackBuild b/source/l/judy/judy.SlackBuild
index 684807516..b4e098986 100755
--- a/source/l/judy/judy.SlackBuild
+++ b/source/l/judy/judy.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2012 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
-# Copyright 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2014, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,22 +21,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=judy
VERSION=1.0.5
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -49,7 +59,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -76,11 +85,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/source/l/judy/slack-desc b/source/l/judy/slack-desc
index 4cdef3197..61d04e12e 100644
--- a/source/l/judy/slack-desc
+++ b/source/l/judy/slack-desc
@@ -2,16 +2,16 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
judy: judy (sparse dynamic array library)
judy:
judy: Judy is a C library that provides a state-of-the-art core technology
-judy: that implements a sparse dynamic array. A Judy array consumes memory
+judy: that implements a sparse dynamic array. A Judy array consumes memory
judy: only when it is populated, yet can grow to take advantage of all
-judy: available memory if desired. Judy's key benefits are scalability,
+judy: available memory if desired. Judy's key benefits are scalability,
judy: high performance, and memory efficiency.
judy:
judy: homepage: http://judy.sourceforge.net